Bug 203670 - net-p2p/amule 2.3.1_13 and net-p2p/amule-devel 10834_6 Shared object "libcryptopp.so" not found, required by "amule"
Summary: net-p2p/amule 2.3.1_13 and net-p2p/amule-devel 10834_6 Shared object "libcryp...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Barbara Guida
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-10 00:23 UTC by Łukasz
Modified: 2015-10-23 23:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Łukasz 2015-10-10 00:23:56 UTC
Hi,
I try install these binary packages (first stable, then devel version), but when I run Amule, virtual terminal shows me output as above.

security/cryptopp-5.6.2_2 exists in FreeBSD's ports, but binary package is needed.

Thanks.
Comment 1 commit-hook freebsd_committer 2015-10-23 23:07:44 UTC
A commit references this bug:

Author: bar
Date: Fri Oct 23 23:07:07 UTC 2015
New revision: 400063
URL: https://svnweb.freebsd.org/changeset/ports/400063

Log:
  - Change security/cryptopp from BUILD_DEPENDS to LIB_DEPENDS as it defaults to non-static build
  - Update devel port to svn revision 10871
  - Remove WX_UNICODE
  - Regenerate patch
  - Try sorting USES
  - Remove article from COMMENT

  PR: 203670

Changes:
  head/net-p2p/amule/Makefile
  head/net-p2p/amule/files/patch-configure
  head/net-p2p/amule-devel/Makefile
  head/net-p2p/amule-devel/distinfo
  head/net-p2p/amule-devel/pkg-plist